Welcome to 2019
[ikiwiki.git] / doc / todo / Silence_monotone_warning.mdwn
1 A quick [[patch]] to silence a [[rcs/monotone]] warning I started seeing:
2
3     diff --git a/IkiWiki/Plugin/monotone.pm b/IkiWiki/Plugin/monotone.pm
4     index 4b9be31..9d4e280 100644
5     --- a/IkiWiki/Plugin/monotone.pm
6     +++ b/IkiWiki/Plugin/monotone.pm
7     @@ -55,7 +55,7 @@ sub checkconfig () {
8                 error("Monotone version too old, is $version but required 0.38");
9         }
10      
11     -   if (length $config{mtn_wrapper}) {
12     +   if (defined $config{mtn_wrapper} && length $config{mtn_wrapper}) {
13                 push @{$config{wrappers}}, {
14                         wrapper => $config{mtn_wrapper},
15                         wrappermode => (defined $config{mtn_wrappermode} ? $config{mtn_wrappermode} : "06755"),
16
17 > Thanks, [[done]]